@charset "utf-8";

/*-------------------------
DIY商品詳細バリエーション違い調整
--------------------------*/

.p-variant{
	padding: 90px 0;
}
.p-common-headline--variant{
	margin-top: 0;
}
.p-common-item-slider__section--variant .p-common-item-slider__inner{
	padding: 0;
	display: flex;
	gap: 15px;
	justify-content: center;
}
.p-common-item-slider__section--variant .p-common-item-slider__inner::before{
	display: none;
}
.js-valiant-product.is-disabled {
	opacity: 0.5;
	pointer-events: none;
	filter: grayscale(1);
}

/*-------------
PC時6個以上でスクロール
SP時3個以上でスクロール
--------------*/
.p-variant-wrapper{
	width:100%;
}
.p-common-item-slider__inner:has(> .p-common-item-slider__slide:nth-last-child(n+6):first-child) {
	width:max-content;
}
.p-variant-wrapper:has(.p-common-item-slider__inner > .p-common-item-slider__slide:nth-last-child(n+6):first-child) {
	width:100%;
	overflow-x: scroll;
	padding-bottom:5px;
}
.p-variant-wrapper::-webkit-scrollbar {
	height: 10px;
	width: 10px;
}
.p-variant-wrapper::-webkit-scrollbar-thumb {
	background-color: #00A2E6;
} 
.p-variant-wrapper::-webkit-scrollbar-track {
	background-color: #f6f6f6;
}

@media (max-width:767px){
	.p-variant{
		padding: 45px 15px;
	}
	.p-variant-wrapper:has(.p-common-item-slider__inner > .p-common-item-slider__slide:nth-last-child(n+3):first-child) {
		width:100%;
		overflow-x: scroll;
		padding-bottom:5px;
	}
	.p-variant-wrapper::-webkit-scrollbar {
		height: 5px;
	}
	.p-common-item-slider__section--variant .p-common-item-slider__inner{
		width:max-content;
		gap: 5px;
		margin: auto;
	}
	.p-variant .p-common-item-slider__slide {
		width: 160px;
	}
}

/*-------------
製品仕様詳細が上にある場合
--------------*/
.dtaile-parts__inner{
	margin-bottom: 0;
}
@media screen and (max-width: 767px) {
	.dtaile-parts__inner{
		padding-bottom: 0;
	}
}

/*-------------
商品内調整
--------------*/
.p-variant .p-common-item-slider__slide > a .product_image {
	margin-bottom: 20px;
}
.p-variant .p-common-item-slider__slide.parts > a .product_id {
	-webkit-line-clamp: unset;
	display: block;
	-webkit-box-orient: unset;
	overflow: visible;
	font-size: 13px;
	letter-spacing: 0.05em;
	line-height: 1.2;
}
.p-variant .p-common-item-slider__slide > a .product_delivery_date {
	margin:0 0 10px 0;
}
.p-variant .p-product-show-detail__delivery-label--red {
	border: 1px solid #e43344;
	font-weight: 700;
	padding:0.3em;
	letter-spacing:0;
	font-size: 12px !important;
}

.p-variant .product_rating {
	text-align:left;
}

@media screen and (max-width: 767px) {
	.p-variant .p-product-show-detail__delivery-label--red {
		font-size: 10px !important;
	}
}